Bug 27742 - Accessibility: OPAC - Page titles should have unique information first
Summary: Accessibility: OPAC - Page titles should have unique information first
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: wainuiwitikapark
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-21 23:24 UTC by wainuiwitikapark
Modified: 2021-04-15 10:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27742: Page titles have unique info first (55.94 KB, patch)
2021-02-22 23:12 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27742: Page titles have unique info first (55.98 KB, patch)
2021-02-23 11:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27742: (follow-up) Add title for record blocked page (1.15 KB, patch)
2021-02-23 11:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27742: (follow-up) Add title for record blocked page (1.21 KB, patch)
2021-03-05 00:24 UTC, Hayley Pelham
Details | Diff | Splinter Review
Bug 27742: Page titles have unique info first (55.55 KB, patch)
2021-03-25 09:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27742: (follow-up) Add title for record blocked page (1.27 KB, patch)
2021-03-25 09:55 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description wainuiwitikapark 2021-02-21 23:24:09 UTC
Koha has good and descriptive page titles, but according to https://www.w3.org/WAI/tips/writing/ the unique information should be first, before the name of the website (Koha).
Comment 1 wainuiwitikapark 2021-02-22 23:12:26 UTC
Created attachment 117175 [details] [review]
Bug 27742: Page titles have unique info first

Changed the titles of each page on the OPAC to display the unique
information first, and the name of the website (e.g. Koha library
        catalog). This is fot accessibility reasons, such as when a
screen reader user is going through tabs, they do not have to waste time
listening to the website name, they can just find the unique page title
first.

To test:
1) Go to the OPAC
2) Apply patch
3) Go to each of the pages and check that the page title has the unique
information about the page first, and the name of the website is at the
end

Sponsored by: Catalyst IT
Comment 2 Owen Leonard 2021-02-23 11:41:13 UTC
Created attachment 117192 [details] [review]
Bug 27742: Page titles have unique info first

Changed the titles of each page on the OPAC to display the unique
information first, and the name of the website (e.g. Koha library
        catalog). This is fot accessibility reasons, such as when a
screen reader user is going through tabs, they do not have to waste time
listening to the website name, they can just find the unique page title
first.

To test:
1) Go to the OPAC
2) Apply patch
3) Go to each of the pages and check that the page title has the unique
information about the page first, and the name of the website is at the
end

Sponsored by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2021-02-23 11:42:44 UTC
Created attachment 117193 [details] [review]
Bug 27742: (follow-up) Add title for record blocked page

This modifies the title for the template used when a bibliographic
record is blocked.
Comment 4 Hayley Pelham 2021-03-05 00:24:26 UTC
Created attachment 117770 [details] [review]
Bug 27742: (follow-up) Add title for record blocked page

This modifies the title for the template used when a bibliographic
record is blocked.

Signed-off-by: Hayley Pelham <hayleypelham@catalyst.net.nz>
Comment 5 Martin Renvoize 2021-03-25 09:55:49 UTC
Created attachment 118771 [details] [review]
Bug 27742: Page titles have unique info first

Changed the titles of each page on the OPAC to display the unique
information first, and the name of the website (e.g. Koha library
        catalog). This is fot accessibility reasons, such as when a
screen reader user is going through tabs, they do not have to waste time
listening to the website name, they can just find the unique page title
first.

To test:
1) Go to the OPAC
2) Apply patch
3) Go to each of the pages and check that the page title has the unique
information about the page first, and the name of the website is at the
end

Sponsored by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-03-25 09:55:53 UTC
Created attachment 118772 [details] [review]
Bug 27742: (follow-up) Add title for record blocked page

This modifies the title for the template used when a bibliographic
record is blocked.

Signed-off-by: Hayley Pelham <hayleypelham@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-03-25 09:56:37 UTC
More excellent work from Wainui, thanks! :)

All works as expected and I couldn't find any missing cases.. Passing QA
Comment 8 wainuiwitikapark 2021-03-25 20:45:11 UTC
(In reply to Martin Renvoize from comment #7)
> More excellent work from Wainui, thanks! :)
> 
> All works as expected and I couldn't find any missing cases.. Passing QA

Thanks Martin!

That's awesome!
Comment 9 Jonathan Druart 2021-04-01 16:54:12 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-04-15 10:40:42 UTC
Enhancement not pushed to 20.11.x